/****************************************************************************
**
** Copyright (C) 2016 The Qt Company Ltd.
** Contact: https://www.qt.io/licensing/
**
** This file is part of the Qt Charts module of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:GPL$
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and The Qt Company. For licensing terms
** and conditions see https://www.qt.io/terms-conditions. For further
** information use the contact form at https://www.qt.io/contact-us.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 3 or (at your option) any later version
** approved by the KDE Free Qt Foundation. The licenses are as published by
** the Free Software Foundation and appearing in the file LICENSE.GPL3
** included in the packaging of this file. Please review the following
** information to ensure the GNU General Public License requirements will
** be met: https://www.gnu.org/licenses/gpl-3.0.html.
**
** $QT_END_LICENSE$
**
****************************************************************************/

#ifndef DATASOURCESCOPE_H
#define DATASOURCESCOPE_H

#include "oscilloscope/channel.h"
#include <QtCore/QObject>
#include <QtCharts/QAbstractSeries>
#include "scopeinterface.h"


class QQuickView;

QT_CHARTS_USE_NAMESPACE

class DataSourceScope : public QObject
{
    Q_OBJECT
public:
    explicit DataSourceScope(QQuickView *appViewer, QObject *parent = 0);
    ~DataSourceScope();

Q_SIGNALS:

public slots:
    void readData( int channelCount, int colCount);
    void update(QAbstractSeries *series, int channel_index);
    int getNumChannels();  // Get the number of channels.

private:
    QQuickView *m_appViewer;
    QList<QVector<QPointF> > m_data;
    int m_index;
    ScopeInterface *_scopeInterface;
    QList<Channel *> _channels;
};

#endif // DATASOURCESCOPE_H
