#ifndef TRIGGER_H
#define TRIGGER_H

#include <QPointF>
#include <QVector>


/**
 * brief List the supported trigger types here.
 */
enum TriggerType { POS_EDGE,NEG_EDGE };

/**
 * @brief The Trigger class defines a trigger for a channel.
 */
class Trigger
{

private:
    float _triggerVoltage;  // The value of the trigger
    TriggerType _type=POS_EDGE;  // The type of the trigger
public:
    Trigger();
    Trigger( TriggerType type, float volt);
    int findTriggerPos( QVector<QPointF> channelData, int start, int end);  // find the trigger pos in some channel data
    void setVoltage( float volt);
};

#endif // TRIGGER_H
